Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 589482 - Review Request: perl-IO-Compress-Lzma - Read and write lzma compressed data
Summary: Review Request: perl-IO-Compress-Lzma - Read and write lzma compressed data
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Iain Arnell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: perl-IO-Compress 589479
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-06 09:49 UTC by Paul Howarth
Modified: 2010-06-23 17:51 UTC (History)
3 users (show)

Fixed In Version: perl-IO-Compress-Lzma-2.027-2.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-23 17:51:06 UTC
iarnell: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Paul Howarth 2010-05-06 09:49:59 UTC
Spec URL: http://subversion.city-fan.org/repos/cfo-repo/perl-IO-Compress-Lzma/branches/fedora/perl-IO-Compress-Lzma.spec
SRPM URL: http://www.city-fan.org/~paul/extras/perl-IO-Compress-Lzma/perl-IO-Compress-Lzma-2.027-1.fc12.src.rpm
Description:

This distribution provides a Perl interface to allow reading and writing of
compressed data created with the lzma library.

Comment 1 Paul Howarth 2010-05-14 15:05:22 UTC
Updated to remove redundant BuildRoot tag.

Spec URL:
http://subversion.city-fan.org/repos/cfo-repo/perl-IO-Compress-Lzma/branches/fedora/perl-IO-Compress-Lzma.spec

SRPM URL:
http://www.city-fan.org/~paul/extras/perl-IO-Compress-Lzma/perl-IO-Compress-Lzma-2.027-2.fc12.src.rpm

Scratch build with perl-5.12.0 in Rawhide (dist-f14-perltest tag; the regular dist-f14 tag doesn't have a sufficiently up to date IO::Compress::Base module yet):
http://koji.fedoraproject.org/koji/taskinfo?taskID=2188050

Comment 2 Iain Arnell 2010-06-06 08:57:13 UTC
+ source files match upstream.  
    82b8cef36d443ad9a02b051c19e6a7a0  IO-Compress-Lzma-2.027.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
    GPL+ or Artistic

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock (dist-f14-perltest)
    http://koji.fedoraproject.org/koji/taskinfo?taskID=2233255

+ package installs properly.
+ rpmlint has no meaningful complaints:
    perl-IO-Compress-Lzma.src: I: checking
    perl-IO-Compress-Lzma.src: I: checking-url http://search.cpan.org/dist/IO-Compress-Lzma/ (timeout 10 seconds)
    perl-IO-Compress-Lzma.src: W: no-cleaning-of-buildroot %clean
    perl-IO-Compress-Lzma.src: W: no-buildroot-tag
    perl-IO-Compress-Lzma.src: W: no-%clean-section
    perl-IO-Compress-Lzma.src: I: checking-url http://search.cpan.org/CPAN/authors/id/P/PM/PMQS/IO-Compress-Lzma-2.027.tar.gz (timeout 10 seconds)
    perl-IO-Compress-Lzma.noarch: I: checking
    perl-IO-Compress-Lzma.noarch: I: checking-url http://search.cpan.org/dist/IO-Compress-Lzma/ (timeout 10 seconds)
    2 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ final provides and requires are sane:
    perl(IO::Compress::Adapter::Lzma) = 2.027
    perl(IO::Compress::Adapter::Xz) = 2.027
    perl(IO::Compress::Lzma) = 2.027
    perl(IO::Compress::Xz) = 2.027
    perl(IO::Uncompress::Adapter::UnLzma) = 2.027
    perl(IO::Uncompress::Adapter::UnXz) = 2.027
    perl(IO::Uncompress::UnLzma) = 2.027
    perl(IO::Uncompress::UnXz) = 2.027
    perl-IO-Compress-Lzma = 2.027-2.fc14
=
    perl(:MODULE_COMPAT_5.12.0)  
    perl(Compress::Raw::Lzma) >= 2.027
    perl(Exporter)  
    perl(IO::Compress::Adapter::Lzma) >= 2.006
    perl(IO::Compress::Adapter::Xz) >= 2.020
    perl(IO::Compress::Base) >= 2.027
    perl(IO::Compress::Base::Common) >= 2.027
    perl(IO::Uncompress::Adapter::UnLzma) >= 2.006
    perl(IO::Uncompress::Adapter::UnXz) >= 2.020
    perl(IO::Uncompress::Base) >= 2.027
    perl(bytes)  
    perl(constant)  
    perl(strict)  
    perl(warnings)  
+ %check is present and all tests pass.
    make test
    PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
    t/000prereq.t ............ ok
    t/001lzma.t .............. ok
    t/001xz.t ................ ok
    t/010examples-lzma.t ..... ok
    t/010examples-xz.t ....... ok
    t/050interop-lzma.t ...... ok
    t/050interop-xz.t ........ ok
    t/050interop-zip-lzma.t .. skipped: temp disabled until IO::Compress::RawLzma is ready
    t/100generic-lzma.t ...... ok
    t/100generic-xz.t ........ ok
    t/101truncate-lzma.t ..... skipped: Truncate not supported with Lzma
    t/101truncate-xz.t ....... ok
    t/102tied-lzma.t ......... ok
    t/102tied-xz.t ........... ok
    t/103newtied-lzma.t ...... ok
    t/103newtied-xz.t ........ ok
    t/104destroy-lzma.t ...... ok
    t/104destroy-xz.t ........ ok
    t/105oneshot-lzma.t ...... ok
    t/105oneshot-xz.t ........ ok
    t/106prime-lzma.t ........ ok
    t/106prime-xz.t .......... ok
    t/107multi-lzma.t ........ skipped: MultiStream not supported by Lzma
    t/107multi-xz.t .......... ok
    t/108anyunc-lzma.t ....... ok
    t/108anyunc-xz.t ......... ok
    t/110encode-lzma.t ....... ok
    t/110encode-xz.t ......... ok
    t/25interop-io-string.t .. ok
    t/999pod.t ............... ok
    All tests successful.
    Files=30, Tests=16083, 22 wallclock secs ( 1.81 usr  0.17 sys + 13.55 cusr  7.34 csys = 22.87 CPU)
    Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


APPROVED.

Comment 3 Paul Howarth 2010-06-06 12:35:13 UTC
New Package CVS Request
=======================
Package Name: perl-IO-Compress-Lzma
Short Description: Read and write LZMA compressed data
Owners: pghmcfc
Branches: F-13
InitialCC: perl-sig

Comment 4 Kevin Fenzi 2010-06-07 20:51:49 UTC
CVS done (by process-cvs-requests.py).

Comment 5 Paul Howarth 2010-06-10 09:28:02 UTC
Built for Rawhide in dist-f14-perltest; F-13 build awaiting perl-IO-Compress 2.0.27 (Bug #573932).

Comment 6 Fedora Update System 2010-06-22 15:36:30 UTC
perl-IO-Compress-Lzma-2.027-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/perl-IO-Compress-Lzma-2.027-2.fc13

Comment 7 Fedora Update System 2010-06-23 17:51:00 UTC
perl-IO-Compress-Lzma-2.027-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.